classification
Title: reap threads in test_capi
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.4, Python 3.3, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: ezio.melotti, mhammond, pitrou, python-dev, r.david.murray, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-02-20 03:01 by ezio.melotti, last changed 2013-02-23 04:53 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
reap_threads.diff ezio.melotti, 2013-02-20 03:01 review
issue17249.diff ezio.melotti, 2013-02-22 06:55 review
Messages (8)
msg182463 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-02-20 03:01
The attached patch fixes the following warning:

$ ./python -m test test_capi
[1/1] test_capi
Warning -- threading._dangling was modified by test_capi
1 test altered the execution environment:
    test_capi

This test was introduced in f7993dc6bf26, and it seems to predate unittest.  Maybe it should be moved outside test_main while we are at it.
msg182548 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-02-20 20:17
Looks like a straightforward translation to me.  There's no obvious reason not to move it to being a real test, which means it would sure be nice if we knew why it was left in test_main.
msg182651 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-02-22 06:55
The attached patch converts the function in a real test, using proper skips and assert methods.
msg182667 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-02-22 14:47
Looks good to to me.
msg182675 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-02-22 17:12
This test was introduced in a4154dd5939a.
msg182713 - (view) Author: Roundup Robot (python-dev) Date: 2013-02-23 03:59
New changeset c6ca87fbea39 by Ezio Melotti in branch '2.7':
#17249: convert a test in test_capi to use unittest and reap threads.
http://hg.python.org/cpython/rev/c6ca87fbea39

New changeset 329732a1572f by Ezio Melotti in branch '3.2':
#17249: convert a test in test_capi to use unittest and reap threads.
http://hg.python.org/cpython/rev/329732a1572f

New changeset 81f98372f893 by Ezio Melotti in branch '3.3':
#17249: merge with 3.2.
http://hg.python.org/cpython/rev/81f98372f893

New changeset f716a178b4e1 by Ezio Melotti in branch 'default':
#17249: merge with 3.3.
http://hg.python.org/cpython/rev/f716a178b4e1
msg182714 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-02-23 04:02
Fixed, thanks for the reviews!
msg182715 - (view) Author: Roundup Robot (python-dev) Date: 2013-02-23 04:53
New changeset 041d0f68c67d by Ezio Melotti in branch '2.7':
#17249: check for the availability of the thread module.
http://hg.python.org/cpython/rev/041d0f68c67d

New changeset 01fdf24c9d75 by Ezio Melotti in branch '3.2':
#17249: check for the availability of the thread module.
http://hg.python.org/cpython/rev/01fdf24c9d75

New changeset eb9edac39751 by Ezio Melotti in branch '3.3':
#17249: null merge.
http://hg.python.org/cpython/rev/eb9edac39751

New changeset cb46ccdc226a by Ezio Melotti in branch 'default':
#17249: null merge.
http://hg.python.org/cpython/rev/cb46ccdc226a
History
Date User Action Args
2013-02-23 04:53:56python-devsetmessages: + msg182715
2013-02-23 04:02:50ezio.melottisetstatus: open -> closed
messages: + msg182714

assignee: ezio.melotti
resolution: fixed
stage: patch review -> resolved
2013-02-23 03:59:51python-devsetnosy: + python-dev
messages: + msg182713
2013-02-22 17:12:50serhiy.storchakasetnosy: + mhammond
messages: + msg182675
2013-02-22 14:47:46r.david.murraysetmessages: + msg182667
2013-02-22 06:55:30ezio.melottisetfiles: + issue17249.diff

messages: + msg182651
components: + Library (Lib), - Tests
2013-02-20 20:17:48r.david.murraysetnosy: + r.david.murray
messages: + msg182548
2013-02-20 03:01:29ezio.melotticreate